Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class Startup

    java.lang.Object
      com.sun.javatest.tool.Startup

    public class Startup

extends java.lang.Object

A lightweight class to display a startup (splash) image. The class ins intentionally as lightweight as possible, to be fast during startup. It does not use Swing.

Constructor Summary
`Startup()` Create an object to display a default startup image.
`Startup(I18NResourceBundle i18n, java.lang.String prefix)` Create an object to display a startup screen.
`Startup(java.net.URL url)` Create an object to display a startup screen.

Method Summary
`void` | `dispose()` Dispose of the window resources used by this object.
`void` | `disposeLater()` Dispose of the window resources used by this object, by scheduling an event to be run on the AWT Event Queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Startup

    public Startup()

  Create an object to display a default startup image. The image is defined by the resource "startup.icon" in the resource bundle com.sun.javatest.tool.i18n.properties.

### Startup

    public Startup(I18NResourceBundle i18n,
                   java.lang.String prefix)

  Create an object to display a startup screen.

  Parameters:
    `i18n` - A resource bundle that defines the content of the startup screen.
    `prefix` - A prefix for resources in the resource file to display in the startup screen. The object checks to see if the resource "prefix.icon" is defined: if so, it is used as the URL of a resource containing an image to be display. If "prefix.icon" is not defined, the Startup object checks for three strings "prefix.line1", "prefix.line2" and "prefix.line3", which will be displayed in a simple Frame containing three lines of text.

### Startup

    public Startup(java.net.URL url)

  Create an object to display a startup screen. This constructor is special in that it takes a non-package-specific resource bundle to locate the splash screen. If the image cannot be located or loaded, the default harness splash screen will be used.

  Parameters:
    `url` - URL to load the splash screen image from.

Method Detail

### dispose

    public void dispose()

  Dispose of the window resources used by this object.

### disposeLater

    public void disposeLater()

  Dispose of the window resources used by this object, by scheduling an event to be run on the AWT Event Queue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.